#!/usr/bin/perl
#------------------------------------------------------------
#Usage: $prgName output (from glove)
#------------------------------------------------------------

$filea = $ARGV[0];
$count=0;
open(INA, $filea) || die "Can't open file $filea.\n";
while($line = <INA>){
   @field = split(/\s+/,$line);

if ($line=~ /SET\s+/) {
$vector = $field[1];
($residue_num,$atom_name) = split(/-/,$vector);
}

if ($line=~ /B\s+/) {
$data{$residue_num}{$atom_name}{x2} = $field[2];
$data{$residue_num}{$atom_name}{x2_error} = $field[3];
}
}
close(INA);

# get peak lists from 1D .xpk
open LIST2, $ARGV[1];
while (defined($line = <LIST2>)) {;
        @fields = split(/\s+/, $line);
                        $peak[$i] = $fields[0];
                        ($a[$i], $b[$i]) = split(/-/, $fields[1]);
                        $mean{$peak[$i]}=abs($a[$i] + $b[$i])/2; 
                        $spread{$peak[$i]}=abs($a[$i] - $b[$i])/2;
                        $high[$i] = sprintf("%.3f", $high[$i]);
                        $low[$i] = sprintf("%.3f", $low[$i]);
                        #print "i is $i, peak $peak[$i], ppm is $high[$i] $low[$i]\n";
                #       printf "%3.2f %3.2f\n",  $mean{$peak[$i]}, $spread{$peak[$i]};
                        $i += 1;
                        $numpks=$i;
                        };
                        close LIST2;

foreach $residue_num ( sort numerically keys %data ) {
        foreach $atom_name ( sort keys %{ $data{$residue_num} } ) {
$x2 = $data{$residue_num}{$atom_name}{x2};
$x2_err = $data{$residue_num}{$atom_name}{x2_error};
$ppm=$mean{$residue_num};
$dppm=$spread{$residue_num};
                #printf "%d\t",$residue_num ;
                #printf "%d\t",$atom_name ;
		$x2_err = substr($x2_err,1); # remove first character of string
		$x2_err = substr($x2_err,0,-1); #remove last char of string 
                printf "%3.2f\t", $ppm;
                printf "%3.2f\t", abs($x2);
                printf "%3.2f\t", $dppm;
                printf "%3.2f\n", abs($x2_err);
}
}

exit;
sub numerically { $a <=> $b; }
