#!/usr/bin/perl

#used to make stacked plots for xmgr
#reads in .dat files generated from pipe2txt.tcl program
# usage: ./mkxmgr.pl (no input here)
use Math::Trig;

$pi = 3.141592653;
$scale=1e5;
$y_offset=30;
$x_offset=0.03; #in ppm

#get list of files in directory named .dat
opendir(DIR,".") ;
@files = grep(/\.dat$/,readdir(DIR));
closedir(DIR);

# print all the filenames in our array
foreach $file (@files) {
split(/\s+/,);
($filnum,$junk) = split(/\./,$file);
#print "filnumber is $filnum\n";

	open(INA, $file) || die "Can't open file $filea.\n";

	while($line = <INA>){
	@val = split(/\s+/,$line);
        chop($line);
   	$ppm{$filnum}{$count} = $val[1];
   	$int{$filnum}{$count} = $val[2]/$scale;
   	$count=$count+1;
    #   print " $count  $val[1] $val[2]\n";
	}
	close(INA);
        $count=0;
}

$y=0;
$x=0;
#SORT all files according to number and print
#for ($i=0; $i < $numpks; $i++){
#       print " $pks[$i]\n";
foreach $filnum ( sort numerically keys %ppm ) {
foreach $count (  sort numerically keys %{$ppm{$filnum} } ) {
#    if ($ppm{$filnum}{$count} == $pks[$i] && $filnum > 0){
    if ($filnum > 0){
       #print " $filnum $count $ppm{$filnum}{$count} $int{$filnum}{$count}\n";
       $int=$int{$filnum}{$count} + $y;
       $xval=$ppm{$filnum}{$count}+$x;
       #print "$ppm{$filnum}{$count} $int{$filnum}{$count} $filnum\n";
       print "$xval $int $filnum\n";
       #print " $filnum $int{$filnum}{$count}\n";
}
}
#}
       print "&\n";
       $y=$y+$y_offset;
       $x=$x+$x_offset;
}
exit;

sub numerically { $a <=> $b; }
