#!/bin/csh -f
#usage: ./procdosy firstnumber lastnumebr

if ($#argv != 2) then
        echo "usage: ./procdosy firstnumber lastnumer"
        exit(1)
endif

if ($#argv == 2) then
        set i = ${argv[1]}
        set n = ${argv[2]}
         while ($i <= $n)
                echo "process $i/ser"
#
#copy into folder with ser file and execute

bruk2pipe -in $i/fid \
 -bad 0.0 -noaswap -DMX -decim 24 -dspfvs 12 -grpdly -1  \
  -xN             16384  \
  -xT              8192  \
  -xMODE        Complex  \
  -xSW         5995.204  \
  -xOBS         400.134  \
  -xCAR           4.754  \
  -xLAB              1H  \
  -ndim               1  \
  -out ./test.fid -verb -ov

nmrPipe -in test.fid  \
| nmrPipe -fn GM -g1 0 -g2 3 -g3 0.02       \
| nmrPipe -fn ZF -auto         \
| nmrPipe -fn FT          \
| nmrPipe -fn PS -p0 -231 -p1 0.0 -di         \
\
##| nmrPipe -fn POLY -auto  \
| nmrPipe -out test.$i.ft -ov -verb

#nmrPipe -in test.$i.ft -verb                      \
#|pipe2xyz -out test_$i.nv -nv -ov 

rm test.fid

                @ i++
                sleep 2
             end
        endif
endif

